Package oracle.jdbc.diagnostics

## Class Parameter.PacketDumpParameter

- java.lang.Object
- - oracle.jdbc.diagnostics.Parameter<java.nio.ByteBuffer>
  - - oracle.jdbc.diagnostics.Parameter.PacketDumpParameter

Enclosing class:
  Parameter<T>

    protected static final class Parameter.PacketDumpParameter
    extends Parameter<java.nio.ByteBuffer>

### Nested Class Summary

### Nested classes/interfaces inherited from class oracle.jdbc.diagnostics.Parameter

`Parameter.ByteBufferParameter, Parameter.PacketDumpParameter, Parameter.PropertiesParameter`

### Field Summary

### Fields inherited from class oracle.jdbc.diagnostics.Parameter

`BLINDED, value`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `basicFormat()`

### Methods inherited from class oracle.jdbc.diagnostics.Parameter

`arg, main, repeat, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### basicFormat

    protected final java.lang.String basicFormat()

Overrides:
  `basicFormat` in class `Parameter<java.nio.ByteBuffer>`